# OAuth2 - Client Credentials

O tipo de concessão "client credentials" é usado apenas para os serviços de registro de aplicação, mas não permite acesso ao uso de chaves dos usuários.

A aplicação pode utilizar esse tipo de token para fazer, manter seu registro e utilizar para listagem de informações públicas dos usuários vinculados a aplicação.

<mark style="color:green;">`POST`</mark> `https://api.birdid.com.br/v0/oauth/client_token`

#### Request Body

| Name           | Type   | Description                            |
| -------------- | ------ | -------------------------------------- |
| grant\_type    | string | Sempre "client\_credentials"           |
| client\_id     | string | Deve ter a identificação da aplicação. |
| client\_secret | string | Deve ter o secret da aplicação         |

{% tabs %}
{% tab title="200 " %}

```
{
	"access_token": "b923575f1ced0ee732ee274b2e02784040bd9606",
	"expires_in": 7200,
	"token_type": "Bearer"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vaultid.com.br/workspace/cloud/api/autenticacao-de-aplicacao/oauth2-client-credentials.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
